

package algoritmo;

import java.awt.Color;

/**
 *
 * @author Marília
 */
public class Sensor {
    private boolean mostrarSensor;//se deve ser mostrado no canvas
    private double sensorDiametro;
    private Color cor;

    public Sensor() {
        this.mostrarSensor = true;
        this.sensorDiametro = 100;
    }

    public Sensor(boolean ativo, double sensorAccuaracyLevel) {
        this.mostrarSensor = ativo;
        this.sensorDiametro = sensorAccuaracyLevel;
    }

    public boolean isMostrarSensor() {
        return mostrarSensor;
    }

    public void setMostrarSensor(boolean ativo) {
        this.mostrarSensor = ativo;
    }

    public double getSensorDiametro() {
        return sensorDiametro;
    }

    public void setSensorDiametro(double sensorAccuaracyLevel) {
        this.sensorDiametro = sensorAccuaracyLevel;
    }

    public Color getCor() {
        return cor;
    }

    public void setCor(Color cor) {
        this.cor = cor;
    }
    
}
